> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter lançamento do caixa



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /caixa/{idLancamento}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /caixa/{idLancamento}:
    get:
      tags:
        - Caixa
      summary: Obter lançamento do caixa
      operationId: ObterLancamentoCaixaAction
      parameters:
        - $ref: '#/components/parameters/get_caixa_idLancamento_idLancamento'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterLancamentoCaixaResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_caixa_idLancamento_idLancamento:
      name: idLancamento
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ObterLancamentoCaixaResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        historico:
          type: string
        data:
          type: string
        dataCompetencia:
          type: string
        valor:
          type: number
          format: float
        tipo:
          description: |-

            - D - Saida
            - C - Entrada
            - S - Saldo
          enum:
            - D
            - C
            - S
          nullable: true
          x-enumDescriptions:
            - D - Saida
            - C - Entrada
            - S - Saldo
        categoria:
          $ref: '#/components/schemas/CategoriaReceitaDespesaResponseModel'
        conta:
          $ref: '#/components/schemas/ContaFinanceiraResponseModel'
        contato:
          $ref: '#/components/schemas/ContatoModelResponse'
        anexos:
          type: array
          items:
            $ref: '#/components/schemas/AnexoResponseModel'
        marcadores:
          type: array
          items:
            $ref: '#/components/schemas/ObterMarcadorResponseModel'
          nullable: true
      type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    CategoriaReceitaDespesaResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
      type: object
    ContaFinanceiraResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
      type: object
    ContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    AnexoResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            url:
              type: string
              nullable: true
            externo:
              type: boolean
              nullable: true
          type: object
    ObterMarcadorResponseModel:
      title: ' '
      description: ' '
      allOf:
        - $ref: '#/components/schemas/BaseMarcadorModel'
        - properties: {}
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    BaseMarcadorModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            descricao:
              type: string
              nullable: true
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````